/* =======
파일 목적 
======== */
/* 
2025.08.17 양기탁 :
이벤트/혜택 > 라이브 > 라이브 상세에서 카카오톡 채널 알림 안내, 버튼 컴포넌트 등 공통으로 활용하고 있는 CSS 
*/


/* =======
히스토리 
======== */
/* 
2025.11.11 15:00 양기탁 :
11월 부터 시작해서 CMS 모듈 사용으로 전체적으로 변경 예정으로, 조만간 #l-button 필요없을 것으로 예상됨.
모바일 화면 낭독기에서 blind 텍스트로 초점 이동시 화면이 움직이는 이슈로 영역별 상단에 위치 되도록 .blind 위치 반영 (11/11 웹와치 미팅 요구 사항)
*/


/* reset */
@font-face {
    font-family: 'Pretendard';
    font-weight: 900;
    src: url(../fonts/Pretendard-Black.subset.woff2) format('woff2');
}
@font-face {
    font-family: 'Pretendard';
    font-weight: 800;
    src: url(../fonts/Pretendard-ExtraBold.subset.woff2) format('woff2');
}
@font-face {
    font-family: 'Pretendard';
    font-weight: 700;
    src: url(../fonts/Pretendard-Bold.subset.woff2) format('woff2');
}
@font-face {
    font-family: 'Pretendard';
    font-weight: 600;
    src: url(../fonts/Pretendard-SemiBold.subset.woff2) format('woff2');
}
@font-face {
    font-family: 'Pretendard';
    font-weight: 500;
    src: url(../fonts/Pretendard-Medium.subset.woff2) format('woff2');
}
@font-face {
    font-family: 'Pretendard';
    font-weight: 300;
    src: url(../fonts/Pretendard-Light.subset.woff2) format('woff2');
}
@font-face {
    font-family: 'Pretendard';
    font-weight: 200;
    src: url(../fonts/Pretendard-ExtraLight.subset.woff2) format('woff2');
}
@font-face {
    font-family: 'Pretendard';
    font-weight: 100;
    src: url(../fonts/Pretendard-Thin.subset.woff2) format('woff2');
}
.event-benefit-template * {
    font-family: 'Pretendard', sans-serif;
}
.event-benefit-template picture {
    display: block;
}
.event-benefit-template img {
    width: 100%;
}
/* // reset */

/* 유틸리티 */
@media screen and (min-width: 768px) {
    .event-benefit-template .hidden-pc {
        display: none !important;
    }
}

@media screen and (max-width: 767px) {
    .event-benefit-template .hidden-mo {
        display: none !important;
    }
}
/* // 유틸리티 */

/* layout */
.event-benefit-template {
    max-width: 1380px;
    margin: 0 auto;
}

.event-benefit-template .livecommerce__content {
	position: relative;
}
.event-benefit-template .livecommerce__content .blind {
    top: 0;
    left: 0;
}
/* // layout */

.event-benefit-template.off-white #l-button{
    background-color: #F5F1EF;
}

/* button 컴포넌트 01 */
.event-benefit-template #l-button:not(:has( .lls-sec)) {
    display: flex;
    padding: calc(32 / 1380 * 100%) 0;
    justify-content: center;
    align-items: center;
    column-gap: 10px;
    position: initial;
    transform: initial;
    margin: 0;
    text-align: initial;
    
}
.event-benefit-template #l-button:has( .lls-sec){
    display: block;
    padding: calc(32 / 1380 * 100%) 0;
    position: initial;
    transform: initial;
    margin: 0;
    text-align: initial;
}
.event-benefit-template #l-button .lls-sec{
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
    column-gap: 10px;
    margin: 0;
    padding: 0;

}
.event-benefit-template #l-button .c-button {
    display: flex;
    width: 192px;
    height: 50px;
    padding: 14px 23px;
    justify-content: center;
    align-items: center;
    gap: 4px;
    font-size: 14px;
    font-weight: 700;
    line-height: normal;
    border-radius: 100px;
}
.event-benefit-template #l-button .c-button:focus {
    outline: 2px #000 auto;
    outline-offset: 4px;
}
.event-benefit-template #l-button .c-button--default {
    border: solid 1px #000;
    color: #000;
    background-color: transparent;
}
.event-benefit-template #l-button .c-button--bg-white-txt-black {
    color: #000;
    border-color: #fff;
    background-color: #fff;
}
.event-benefit-template #l-button .c-button--bg-black-txt-white {
    color: #fff;
    border-color: #000;
    background-color: #000;
}
@media screen and (max-width: 767px){
    .event-benefit-template #l-button:not(:has( .lls-sec)) {
        padding: calc(48 / 720 * 100vw) calc(40 / 720 * 100vw);
        column-gap: calc(16 / 720 * 100vw);
    }
    .event-benefit-template #l-button:has( .lls-sec){
        padding: calc(48 / 720 * 100vw) calc(40 / 720 * 100vw);
    }
    .event-benefit-template #l-button .lls-sec{
        column-gap: calc(16 / 720 * 100vw);
    }
    .event-benefit-template #l-button .c-button {
        width: calc(312 / 720 * 100vw);
        height: calc(92 / 720 * 100vw);
        padding: calc(20 / 720 * 100vw) calc(48 / 720 * 100vw);
        font-size: calc(26 / 720 * 100vw);
        font-weight: 700;
        line-height: normal;
    }
}
/* // button 컴포넌트 01 */

/* 카카오톡 채널 알림 안내 */
.event-benefit-template .kakao-talk-channel {
    position: relative;
}
.event-benefit-template .kakao-talk-channel__linker {
    position: absolute;
    bottom: 13%;
    left: 13.8%;
    width: 72.5%;
    height: 10.4%;
    outline-offset: 2px;
}
@media screen and (max-width: 767px){
    .event-benefit-template .kakao-talk-channel__linker {
        bottom: 11.6%;
        left: 6.8%;
        width: 86.5%;
        height: 14%;
    }
}
/* // 카카오톡 채널 알림 안내 */